public class circle extends point
{   protected double R;
    public circle(double r, double a, double b)
    {  super(a,b);enterR(r);}
    public void enterR(double r)
    {   if(r >= 0.0)  R=r;
        else          R=0.0;}
    public double read_R()
    { return R;}
    public double area()
    { return Math.PI*R*R;}
    public String toString()
    { return "Center =  "+super.toString()+"; Radius ="+R;}
    public String isim() {return "circle";}         
}


